Subject: any real-world SHA-256 repo users out there?

From: Eric Wong <[email-masked]>
Date: Sun, 3 Apr 2022 08:42:58 +0000

Hey all, just wondering if it's something I should prioritize
adding support for in some git-using project I hack on...

Of course, I'm not dropping SHA-1 support.  So I'm wondering if
I should wait for (or hack on :P) git to handle both SHA-256 and
SHA-1 in one process; or if it's something I'd be better off
managing via multiple (git cat-file --batch) processes.  No OIDs
are abbreviated, so it's just 20/40 vs 32/64.

I actually started an entirely new project in May 2021 using
SHA-256 and the only problem I've encountered (now fixed) was
with HTTP(S) clones.  I still haven't publicized that new
project, yet (I keep getting brain farts and side-tracked with
other stuff...)